Subject: Re: Size of smallest program
From: [email-masked] (Fergus Henderson)

6 Dec 1996 08:03:05 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Gunther Ebert)
Original-Cc: [email-masked] (gnu-win32)
In-Reply-To: <[email-masked]> from "Gunther Ebert" at Dec 5, 96 09:19:22 am
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Gunther Ebert wrote:
> 
> The section sizes are
> .text   1024
> .bss      24 (!)
> .data    512
> .idata   512
> 
> The size of headers is 1024.
> 
> (I don't understand that, adding all sizes I get 3096, but the
> executable file
> size is 3072, hello Cygnus, is there something wrong?)

The .bss section is uninitialized (or rather zero-initialized) data,
hence the executable file just stores its size, not its contents.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".